AbstractBulkRecordWriter.ExternalClient (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.hadoop

## Class AbstractBulkRecordWriter.ExternalClient

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableLoader.Client
  - - org.apache.cassandra.hadoop.AbstractBulkRecordWriter.ExternalClient

- Direct Known Subclasses:
    CqlBulkRecordWriter.ExternalClient
  Enclosing class:
    AbstractBulkRecordWriter<K,V>

      public static class AbstractBulkRecordWriter.ExternalClient
      extends SSTableLoader.Client

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBulkRecordWriter.ExternalClient(org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CFMetaData` | `getCFMetaData(java.lang.String keyspace, java.lang.String cfName)` Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.
    `void` | `init(java.lang.String keyspace)` Initialize the client.

    - ### Methods inherited from class org.apache.cassandra.io.sstable.SSTableLoader.Client

      `addRangeForEndpoint, getConnectionFactory, getEndpointToRangesMap, getPartitioner, setPartitioner, setPartitioner, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBulkRecordWriter.ExternalClient

          public AbstractBulkRecordWriter.ExternalClient(org.apache.hadoop.conf.Configuration conf)

  - ### Method Detail

    - #### init

          public void init(java.lang.String keyspace)

      Description copied from class: `SSTableLoader.Client`
      Initialize the client. Perform any step necessary so that after the call to the this method: * partitioner is initialized * getEndpointToRangesMap() returns a correct map This method is guaranteed to be called before any other method of a client.
      Specified by:
        `init` in class `SSTableLoader.Client`

    - #### getCFMetaData

          public CFMetaData getCFMetaData(java.lang.String keyspace,
                                 java.lang.String cfName)

      Description copied from class: `SSTableLoader.Client`
      Validate that `keyspace` is an existing keyspace and `cfName` one of its existing column family.
      Specified by:
        `getCFMetaData` in class `SSTableLoader.Client`

Copyright © 2014 The Apache Software Foundation